#include <bits/stdc++.h>

template<class T>
T sqr(T x) {
    return x * x;
}

int main() {
    freopen("division.in", "r", stdin);
    freopen("division.out", "w", stdout);
    int n;
    std::cin >> n;
    int a = n / 3, b = 0, c = 0;
    for (; a > 0; a--) {
        b = (n - a) / 2 - ((n - a) % 2 == 0);
        c = n - a - b;
        if (a < b && b < c) {
            break;
        }
    }
    std::cout << a << " " << b << " " << c << '\n';
    return 0;
}
